Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007799TestLinkBug Tracking System - Redmine Integrationpublic2016-12-29 14:572017-01-15 09:12
Reporterm.fouquet 
Assigned Tofman 
PriorityhighSeverityfeature requestReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformPCOSCentOSOS Version7
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007799: Request for Redmine Integration : Redmine API Key for each user
DescriptionAdd Redmine API Key for each user, to allow each Redmine's user to report an issue with his name as "author" on Redmine.
Steps To Reproduce1 - Add redmine_api_key field in tl_users
2 - Add HTML field and associated process to write/update this in Database
3 - Alter the code which allow Redmine API Key access
Additional InformationThis feature has been implemented by me, i would like this modification will be implemented for testlink version 1.9.16.
It is required for professional usage
TagsNo tags attached.
Database (MySQL,Postgres,etc)PostgreSQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon testlink (1).png [^] (17,728 bytes) 2016-12-31 13:23

- Relationships
related to 0007278resolvedfman Customise Testlink Username to Equal Redmine Username 
child of 0007666assignedfman Availables hot-fixes for 1.9.15 & How To get full fixed package from GitHub 

-  Notes
(0025813)
fman (administrator)
2016-12-30 11:07

Please provide code on github repo
(0025817)
fman (administrator)
2017-01-03 21:41

Solved using Redmine user impersonation
http://www.redmine.org/projects/redmine/wiki/Rest_api#User-Impersonation [^]
(0025818)
fman (administrator)
2017-01-03 21:43

Please get this

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/3939e0e05a96458937cd6991808f0c61260cb37b [^]

try and provide feedback
(0025831)
m.fouquet (reporter)
2017-01-10 10:02
edited on: 2017-01-10 10:10

i'm testing your code but i'm not sure about the way to use this. X-Redmine-Switch-User header is affected dynamically ? TL login and RM login must be the same ?

(0025832)
fman (administrator)
2017-01-10 19:09

>> X-Redmine-Switch-User header is affected dynamically ? YES
>> TL login and RM login must be the same ? YES
(0025833)
m.fouquet (reporter)
2017-01-11 11:33

It works like a charm. Thanks for this implementation.

- Issue History
Date Modified Username Field Change
2016-12-29 14:57 m.fouquet New Issue
2016-12-30 11:07 fman Note Added: 0025813
2016-12-31 13:23 fman File Added: testlink (1).png
2016-12-31 13:23 fman Status new => feedback
2017-01-03 21:41 fman Note Added: 0025817
2017-01-03 21:43 fman Note Added: 0025818
2017-01-03 21:44 fman QA Team - Task Workflow Status => READY FOR TESTING
2017-01-03 21:44 fman Status feedback => resolved
2017-01-03 21:44 fman Fixed in Version => 1.9.16 (2016 Q4)
2017-01-03 21:44 fman Resolution open => fixed
2017-01-03 21:44 fman Assigned To => fman
2017-01-03 21:44 fman Relationship added child of 0007666
2017-01-10 10:02 m.fouquet Note Added: 0025831
2017-01-10 10:05 m.fouquet Note Edited: 0025831 View Revisions
2017-01-10 10:10 m.fouquet Note Edited: 0025831 View Revisions
2017-01-10 19:09 fman Note Added: 0025832
2017-01-11 11:33 m.fouquet Note Added: 0025833
2017-01-15 09:12 fman Relationship added related to 0007278



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker